# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes-sigs/kustomize
%global goipath         sigs.k8s.io/kustomize
%global forgeurl        https://github.com/kubernetes-sigs/kustomize
# Do not update to 3.x.x, needed by k8s stack at 2.x.x
Version:                2.0.3

%gometa

%global common_description %{expand:
kustomize lets you customize raw, template-free YAML files for multiple
purposes, leaving the original YAML untouched and usable as is.

kustomize targets kubernetes; it understands and can patch kubernetes style API
objects. It's like make, in that what it does is declared in a file, and it's
like sed, in that it emits edited text.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md code-of-conduct.md\\\
                        README.md

Name:           %{goname}
Release:        6%{?dist}
Summary:        Customization of kubernetes YAML configurations

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Fix error in 2.0.3
Patch0:         Fix-myProperties-type.patch

BuildRequires:  golang(github.com/evanphx/json-patch)
BuildRequires:  golang(github.com/ghodss/yaml)
BuildRequires:  golang(github.com/go-openapi/spec)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/unstructured)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/mergepatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/strategicpatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation/field)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/yaml)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/common)

%if %{with check}
# Tests
BuildRequires:  golang(gopkg.in/yaml.v2)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
%gobuild -o %{gobuilddir}/bin/kustomize %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d pkg/fs -d k8sdeps/transformer/hash
%endif

%files
%license LICENSE
%doc docs examples CONTRIBUTING.md code-of-conduct.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Aug 17 23:47:23 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-6
- Add patch to fix myProperties type

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 07 00:51:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-1
- Initial package
